Skip to content

IAM  >  Operations  >  list_mfa_devices

list_mfa_devices

Operation

list_mfa_devices async

list_mfa_devices(request: ListMFADevicesInput | ListMFADevicesInputDict, /, *, plugins: list[Plugin] | None = None) -> ListMFADevicesOutput
list_mfa_devices(*, plugins: list[Plugin] | None = None, **kwargs: Unpack[ListMFADevicesInputDict]) -> ListMFADevicesOutput

Lists the MFA devices for an IAM user. If the request includes a IAM user name, then this operation lists all the MFA devices associated with the specified user. If you do not specify a user name, IAM determines the user name implicitly based on the Amazon Web Services access key ID signing the request for this operation.

You can paginate the results using the MaxItems and Marker parameters.

Parameters:

Name Type Description Default
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
ListMFADevicesOutput

An instance of ListMFADevicesOutput.

Input

Pass the input fields as keyword arguments, or pass a model or dictionary as the first positional argument. Pass plugins separately as a keyword argument.

Model

ListMFADevicesInput dataclass

Bases: _SerdeShape

Dataclass for ListMFADevicesInput structure.

Attributes
marker class-attribute instance-attribute
marker: str | None = ...

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

max_items class-attribute instance-attribute
max_items: int | None = ...

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM might return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

user_name class-attribute instance-attribute
user_name: str | None = ...

The name of the user whose MFA devices you want to list.

This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-

Dictionaries

ListMFADevicesInputDict

Bases: TypedDict

Dictionary form of ListMFADevicesInput.

Attributes
marker instance-attribute
marker: str | None

Use this parameter only when paginating results and only after you receive a response indicating that the results are truncated. Set it to the value of the Marker element in the response that you received to indicate where the next call should start.

max_items instance-attribute
max_items: int | None

Use this only when paginating results to indicate the maximum number of items you want in the response. If additional items exist beyond the maximum you specify, the IsTruncated response element is true.

If you do not include this parameter, the number of items defaults to 100. Note that IAM might return fewer results, even when there are more results available. In that case, the IsTruncated response element returns true, and Marker contains a value to include in the subsequent call that tells the service where to continue from.

user_name instance-attribute
user_name: str | None

The name of the user whose MFA devices you want to list.

This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-

Output

ListMFADevicesOutput dataclass

Bases: _SerdeShape

Contains the response to a successful ListMFADevices request.

Attributes

is_truncated class-attribute instance-attribute
is_truncated: bool = ...

A flag that indicates whether there are more items to return. If your results were truncated, you can make a subsequent pagination request using the Marker request parameter to retrieve more items. Note that IAM might return fewer than the MaxItems number of results even when there are more results available. We recommend that you check IsTruncated after every call to ensure that you receive all your results.

marker class-attribute instance-attribute
marker: str | None = ...

When IsTruncated is true, this element is present and contains the value to use for the Marker parameter in a subsequent pagination request.

mfa_devices instance-attribute
mfa_devices: list[MFADevice]

A list of MFA devices.

response_metadata class-attribute instance-attribute
response_metadata: ResponseMetadata = ...

Metadata about the response that produced this output. Use this to recover the request identifiers a service's support team needs in order to investigate a call. Members of the metadata are individually optional.